# React Batch Autocomplete Lib

React component for easily use React Batch Autocomplete

## Getting started

Install the latest version:
```sh
npm install --save react-batch-autocomplete-lib
  or
yarn add react-batch-autocomplete-lib
```

Use the component!
```js
import React from 'react';
import { ReactBatchAutocomplete } from 'react-batch-autocomplete-lib';

const Component = () => (

  const handleError = (e) => {
    // Handle error as you want  
    console.log('Error while searching: ',e);
  }

  const suggestionList = (data) => {
    // Suggestion list data  
    console.log('Suggetion List: ', data);
  }

  const onSelect = (data) => {
    // Do Your Execution with data
    console.log('Seleted item: ', data)
  }

 return(   
  <div>
     <ReactBatchAutocomplete
      placeholder="Enter your address"
      notFoundText="Not found data"
      apiKey="BATCH_API_KEY"
      domainServer="BATCH_DOMAIN_SERVER"
      handleError={(e) => handleError(e)}
      suggestionList={(data) => suggestionList(data)}
      onSelect={(data) => onSelect(data)}
    />
  </div>
 );
);

export default Component;
```